image: gcc
before_script:
  - apt-get update --yes
  - apt-get install --yes cmake
  - apt-get install --yes doxygen
  - apt-get install -y -qq cpputest



build:
  script:
    - mkdir build
    - cd build
    - cmake ..
    - cmake --build .
pages:
  stage: deploy
  script:
    - doxygen doxygen/Doxyfile
    - mv doxygen/documentation/html/ public/
  artifacts:
    paths:
      - public
  only:
    - master